#include <sys/mount.h>
#include <ADD/sys/mount.h>
//work
/*vfs_fsadd

int vfs_fsadd(
    struct vfs_fsentry *,
    vfstable_t *);  
Discussion 

Description forthcoming*/
int vfs_fsadd(
    struct vfs_fsentry * a,
    vfstable_t * b ){};  


/*vfs_fsprivate

void * vfs_fsprivate(
    mount_t);  
Discussion 

Description forthcoming*/
void * vfs_fsprivate(
    mount_t a){};  

/*vfs_typenum

int vfs_typenum(
    mount_t);  
Discussion 

Description forthcoming*/

int vfs_typenum(
    mount_t a ){};  


/*vfs_fsremove

int vfs_fsremove(
    vfstable_t);  
Discussion 

Description forthcoming*/
int vfs_fsremove(
    vfstable_t a ){};  



/*STATFS(2)                   BSD System Calls Manual                  STATFS(2)

NAME
     statfs -- get file system statistics

SYNOPSIS
     #include <sys/param.h>
     #include <sys/mount.h>

     int
     statfs(const char path, struct statfs buf);

     int
     fstatfs(int fd, struct statfs buf);

DESCRIPTION
     Statfs() returns information about a mounted file system.  Path is the
     path name of any file within the mounted file system.  Buf is a pointer
     to a statfs structure defined as follows:

     typedef struct { int32_t val[2]; } fsid_t;

     #define MFSNAMELEN   15 / length of fs type name, not inc. nul /
     #define MNAMELEN     90 / length of buffer for returned name /

     struct statfs {
         short   f_otype;    / type of file system (reserved: zero) /
         short   f_oflags;   / copy of mount flags (reserved: zero) /
         long    f_bsize;    / fundamental file system block size /
         long    f_iosize;   / optimal transfer block size /
         long    f_blocks;   / total data blocks in file system /
         long    f_bfree;    / free blocks in fs /
         long    f_bavail;   / free blocks avail to non-superuser /
         long    f_files;    / total file nodes in file system /
         long    f_ffree;    / free file nodes in fs /
         fsid_t  f_fsid;     / file system id (super-user only) /
         uid_t   f_owner;    / user that mounted the file system /
         short   f_reserved1;        / reserved for future use /
         short   f_type;     / type of file system (reserved) /
         long    f_flags;    / copy of mount flags (reserved) /
         long    f_reserved2[2];     / reserved for future use /
         char    f_fstypename[MFSNAMELEN]; / fs type name /
         char    f_mntonname[MNAMELEN];    / directory on which mounted /
         char    f_mntfromname[MNAMELEN];  / mounted file system /
         char    f_reserved3;        / reserved for future use /
         long    f_reserved4[4];     / reserved for future use /
     };

     Fields that are undefined for a particular file system are set to -1.
     Fstatfs() returns the same information about an open file referenced by
     descriptor fd.

RETURN VALUES
     Upon successful completion, a value of 0 is returned.  Otherwise, -1 is
     returned and the global variable errno is set to indicate the error.

ERRORS
     Statfs() fails if one or more of the following are true:

     [ENOTDIR]          A component of the path prefix of Path is not a direc-directory.
                        tory.

     [ENAMETOOLONG]     The length of a component of path exceeds {NAME_MAX}
                        characters, or the length of path exceeds {PATH_MAX}
                        characters.

     [ENOENT]           The file referred to by path does not exist.

     [EACCES]           Search permission is denied for a component of the
                        path prefix of path.

     [ELOOP]            Too many symbolic links were encountered in translat-translating
                        ing path.

     [EFAULT]           Buf or path points to an invalid address.

     [EIO]              An I/O error occurred while reading from or writing to
                        the file system.

     Fstatfs() fails if one or more of the following are true:

     [EBADF]            fd is not a valid open file descriptor.

     [EFAULT]           Buf points to an invalid address.

     [EIO]              An I/O error occurred while reading from or writing to
                        the file system.

HISTORY
     The statfs() function first appeared in 4.4BSD.

BSD                            February 11, 1994                           BSD*/

 int
     statfs(const char *path, struct statfs *buf){};

     int
     fstatfs(int fd, struct statfs *buf){};

/*vfs_isupdate

int vfs_isupdate(
    mount_t);  
Discussion 

Description forthcoming*/
int vfs_isupdate(
    mount_t A){};  

/*vfs_setfsprivate

void vfs_setfsprivate(
    mount_t,
    void *mntdata);  
Discussion 

Description forthcoming*/
void vfs_setfsprivate(
    mount_t A,
    void *mntdata){};

  

/*vfs_setflags

void vfs_setflags(
    mount_t,
    uint64_t);  
Discussion 

Description forthcoming*/

void vfs_setflags(
    mount_t A,
    uint64_t B){};
  

/*vfs_statfs

struct vfsstatfs * vfs_statfs(
    mount_t);  
Discussion 

Description forthcoming*/
struct vfsstatfs * vfs_statfs(
    mount_t A){};
  


